Subject: Re: [patch v2 02/11] DM9000: Fixup blackfin after removing 2 resource usage

From: Ben Dooks <[email-masked]>
Date: Mon, 23 Jun 2008 10:24:07 +0100

On Sun, Jun 22, 2008 at 09:35:32PM +0100, Ben Hutchings wrote:
> Ben Dooks wrote:
> > From: Laurent Pinchart <[email-masked]>
> > 
> > The dm9000 driver accepts either 2 or 3 resources to describe the platform
> > devices. The 2 resources case abuses the ioresource mechanism by passing
> > ioremap()ed memory through the platform device resources. This patch removes
> > converts boards that were using it to the 3 resources scheme.
> [...]
> 
> This needs to be applied before the previous patch, otherwise there's
> a point where these boards are broken.

There may be a small overlap, but I'd much rather fix the abuse than
actually leave it in there much longer. The fixup patch has been cc'd
to the blackfin maintainer, so any breakage will be minimal (and will
also be clearly marked, it isn't as if the driver will just fail to
work; there is a clear error being printed and it will gracefully
exit).

-- 
Ben ([email-masked], http://www.fluff.org/)

  'a smiley only costs 4 bytes'